v.net.spanningtree(1)

NAME
v.net.spanningtree - Computes minimum spanning tree for the network.

KEYWORDS
vector, network, spanning tree

SYNOPSIS
v.net.spanningtree
v.net.spanningtree --help
v.net.spanningtree [-g] input=name output=name [arc_layer=string] [node_layer=string] [arc_column=name] [node_column=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-g
    Use geodesic calculation for longitude-latitude locations

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

output=name [required]
    Name for output vector map

arc_layer=string
    Arc layer
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

node_layer=string
    Node layer
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 2

arc_column=name
    Arc forward/both direction(s) cost column (number)

node_column=name
    Node cost column (number)

DESCRIPTION
v.net.spanningtree finds the minimum spanning tree in a network.

NOTES
A spanning tree is a minimum cost subnetwork connecting all nodes in an undirected network (same forward and backward costs). If a network is disconnected then the module computes the minimum spanning tree for each (weakly) connected component. So, strictly speaking, v.net.spanningtree does not compute spanning tree but a spanning forest. As the name suggests, a spanning tree is a tree. That is, it contains no cycles and if a component has N nodes then the tree has N-1 edges connecting all nodes. Accol is used to specify the costs of the edges. The output consists of the edges in the spanning tree.

EXAMPLES
Find cheapest set of pipelines connecting all nodes.

v.net.spanningtree input=projected_pipelines output=spanningtree accol=cost

SEE ALSO
v.net, v.net.steiner

AUTHORS
Daniel Bundala, Google Summer of Code 2009, Student
Wolf Bergenheim, Mentor

SOURCE CODE

Available at: v.net.spanningtree source code (history)

Latest change: Thursday Jan 26 14:10:26 2023 in commit: cdd84c130cea04b204479e2efdc75c742efc4843

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.3.0dev Reference Manual